@import 'styles/main.scss';

.panel {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 640px;
  width: 100%;

  padding: 32px 16px 60px;
  border: 1px solid $text-light;
  background: $background-white-2;
  border-radius: 8px;

  &__wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    width: 100vw;
  }

  &__form {
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin: 24px 0 32px;

    > * {
      width: 343px;
    }
  }

  &__actions {
    display: flex;
    justify-content: center;
    gap: 24px;
    width: 343px;
  }

  &__error {
    color: $error;
    margin-top: 8px;
  }

  &__change {
    margin-top: 2px;
    font-weight: 400;
    font-size: 12px;
    line-height: 14px;
  }

  &__forgot {
    position: absolute;
    bottom: 20px;
    left: 32px;
    color: $primary;
    padding: 2px 4px;
  }
}

.forgotModal {
  display: flex !important;
  flex-direction: column !important;
  align-items: center !important;
  padding: 16px 48px 16px !important;

  h3 {
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    margin-bottom: 24px;
    font-weight: 500;
  }

  a {
    font-size: 16px;
  }

  p {
    max-width: 275px;
    font-weight: 400;
    font-size: 14px;
    line-height: 18px;
    margin-bottom: 8px;
  }
}